//--------------------------------------

$AutoUse[EnergyRifle] = True;
$WeaponAmmo[EnergyRifle] = "";

//--------------------------------------

$InvList[EnergyRifle] = 1;
$RemoteInvList[EnergyRifle] = 1;

//--------------------------------------

LightningData lightningCharge
{
   bitmapName       = "paintPulse.bmp";

   damageType       = $ElectricityDamageType;
   boltLength       = 40.0;
   coneAngle        = 35.0;
   damagePerSec      = 0.08;
   energyDrainPerSec = 60.0;
   segmentDivisions =  4;
   numSegments      =  5;
   beamWidth        = 0.125;//075;

   updateTime   = 120;
   skipPercent  = 0.5;
   displaceBias = 0.15;

   lightRange = 3.0;
   lightColor = { 0.25, 0.25, 0.85 };

   soundId = SoundELFFire;
};

//--------------------------------------

ItemImageData EnergyRifleImage
{
	shapeFile = "shotgun";
   mountPoint = 0;

   weaponType = 2;  // Sustained
	projectileType = lightningCharge;
   minEnergy = 3;
   maxEnergy = 11;  // Energy used/sec for sustained weapons
	reloadTime = 0.2;
                        
   lightType = 3;  // Weapon Fire
   lightRadius = 2;
   lightTime = 1;
   lightColor = { 0.25, 0.25, 0.85 };

   sfxActivate = SoundPickUpWeapon;
   sfxFire     = SoundELFIdle;
};

ItemData EnergyRifle
{
   description = "ELF Gun";
	shapeFile = "shotgun";
	hudIcon = "energyRifle";
   className = "Weapon";
   heading = "bWeapons";
   shadowDetailMask = 4;
   imageType = EnergyRifleImage;
	showWeaponBar = true;
   price = 125;
   validateShape = true;
};

//--------------------------------------

//--------------------------------------


ItemImageData EnergyRifle1Image
{
	shapeFile = "paintgun";
	mountPoint = 0; 
	mountOffset = { -0.1, 0.8, 0 }; //-  left-right, back-front, up-down
	mountRotation = { 0, -1.57, 0 }; //- X= up-down , Y= roll-left-right , Z= left-right
};

ItemData EnergyRifle1
{
	description = "EnergyRifle1";
	className = "weapon";
	shapeFile = "paintgun";
	shadowDetailMask = 4;
	imageType = EnergyRifle1Image;
	showWeaponBar = false;
};

ItemImageData EnergyRifle2Image
{
	shapeFile = "paintgun";
	mountPoint = 0; 
	mountOffset = { 0.1, 0.8, 0  }; //-  left-right, back-front, up-down
	mountRotation = { 0, 1.57 , 0  }; //- X= up-down , Y= roll-left-right , Z= left-right
};

ItemData EnergyRifle2
{
	description = "EnergyRifle2";
	className = "weapon";
	shapeFile = "armorKit";
	shadowDetailMask = 4;
	imageType = EnergyRifle2Image;
	showWeaponBar = false;
};

ItemImageData EnergyRifle3Image
{
	shapeFile = "armorKit";
	mountPoint = 0; 
	mountOffset = { 0, 0, -0.1  }; //-  left-right, back-front, up-down
	mountRotation = { -1.57, 0 , 0  }; //- X= up-down , Y= roll-left-right , Z= left-right
};

ItemData EnergyRifle3
{
	description = "EnergyRifle2";
	className = "weapon";
	shapeFile = "paintgun";
	shadowDetailMask = 4;
	imageType = EnergyRifle3Image;
	showWeaponBar = false;
};

function EnergyRifle::onMount(%player,%item)
{
	Player::mountItem(%player, EnergyRifle3, 4);
	Player::mountItem(%player, EnergyRifle1, 5);
	Player::mountItem(%player, EnergyRifle2, 6);
}

function EnergyRifle::onUnMount(%player,%item)
{
	Player::unmountItem(%player, 4);
	Player::unmountItem(%player, 5);
	Player::unmountItem(%player, 6);
}